升级到Breezy后Nvidia的驱动不行

声卡/显卡/打印机/USB设备等硬件问题(网卡问题请发上面的网卡板块)
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#16

帖子 eexpress » 2005-10-17 21:34

ink 写了:下载了nvidia的驱动,相应的kernel source和kernel header,但是安装编译时一个是gcc版本高了,是4.0的,内核是用3.4编译的,忽略后错误说nvidia.ko无法编入内核,说source不对。大家有没有成功的经验?
和我一样。也是贪心,安装的4.0。高手要我骗系统,就是ln个假的。要是可以用apt-get build-dep就好了。少这些麻烦。
● 鸣学
ink
帖子: 31
注册时间: 2005-05-31 9:42
送出感谢: 0
接收感谢: 0

#17

帖子 ink » 2005-10-17 21:49

不是贪心,是默认的。我已经骗过去了,看来一定要用3.4编译,我用3.3都不行。驱动安装成功了,我的GF2 MX400用的是7667,7676据说是有小毛病。反正以后用nvidia-installer好升级。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#18

帖子 eexpress » 2005-10-17 22:05

MX400的也安装nvidia的驱动?准备搞什么?
● 鸣学
头像
Xtire
帖子: 188
注册时间: 2005-09-11 14:08
来自: N朝古都
送出感谢: 0
接收感谢: 0

#19

帖子 Xtire » 2005-10-18 10:18

z5488 写了:参考罢,我看见e文就头痛,注意做标记的一段,看原文链接,贴的不好

http://www.ubuntuforums.org/showthread. ... ght=nvidia
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
NOTES SECTION

* Below are the legacy GPUs that are no longer supported in the unified driver.
These GPUs will continue to be maintained through the special legacy NVIDIA
GPU driver releases.

NVIDIA chip name Device PCI ID
------------------------------- -------------------------------
RIVA TNT 0x0020
RIVA TNT2/TNT2 Pro 0x0028
RIVA TNT2 Ultra 0x0029
Vanta/Vanta LT 0x002C
RIVA TNT2 Model 64/Model 64 Pro 0x002D
Aladdin TNT2 0x00A0
GeForce 256 0x0100
GeForce DDR 0x0101
Quadro 0x0103
GeForce2 GTS/GeForce2 Pro 0x0150
GeForce2 Ti 0x0151
GeForce2 Ultra 0x0152
Quadro2 Pro 0x0153
----------------------------------------------------------------


嗯,这个我也看过了。:) 我的TNT2 M64也被例入了不再支持的行列 :(。 刚下了7174,看到z5488兄已经装上了,咱又多了点信心。 :D :wink: [/b]
头像
Xtire
帖子: 188
注册时间: 2005-09-11 14:08
来自: N朝古都
送出感谢: 0
接收感谢: 0

#20

帖子 Xtire » 2005-10-18 10:38

嘿嘿,我也装上7174了。不过希望不要出什么问题呀。我菜~~~~
那个e文大体上是这样的,见笑了。

代码: 全选

[b]准备工作:[/b]
1。首先要确保自己的显卡没有被例入不被支持之列(这个要去NV网站http://www.nvidia.com/object/unix.html下驱动的readme文件里查),记得找到相应驱动并下载哦。
2。察看自己的内核号:
     $uname -r
     记下自己的内核号并下载安装相应版本的linux-headers-XXX、linux-source-XXX和build-essential。其中XXX就是你的内核本号。
[b]安装:[/b]
1。如果你安装过nvidia-glx驱动,请先卸载它(没安装的话看下一步):
     $sudo apt-get remove nvidia-glx
     删除/etc/init.d/nvidia-glx这个文件:
     $sudo rm /etc/init.d/nvidia-glx
2。安装gcc3.4:
     $sudo apt-get install gcc-3.4 
3。Ctrl+Alt+F1到控制台,关闭gdm:
     $sudo /etc/init.d/gdm stop
4。到显卡驱动所在目录,并执行:
     $CC=gcc-3.4 
     $export CC
     $sudo sh NVIDIA-Linux-XXX.run  (执行的就是你下载下来的驱动,好象      是个脚本。)
     安装过程好象要重编内核,这个我也不大懂,嘿嘿。你就一路"OK“吧。如果看到输出的结果中有“complete"之类的就说明安装好了。
5。修改/etc/X11/xorg.conf文件:
     $sudu cp /etc/X11/xorg.conf  /etc/X11/xorg.conf_backup
     $sudo vi  /etc/X11/xorg.conf
     修改的内容为:
     注释掉Load "dri" 与Load "GLcore",加入Load "glx";改Drive "nv"为Drive "nvidia"    
    vi用法我就不说了,我也知道的不多,就会用个:wq
6。最后再启动gdm
     $sudo /etc/init.d/gdm start
    
:lol: 就到这吧,我刚接触Linux不长时间,说错了请指出。谢谢。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#21

帖子 eexpress » 2005-10-19 13:04

上面的方法试过了。区别就是使用了NVIDIA-Linux-x86-1.0-7676-pkg1.run。5200卡,看了说7676支持5200的。不成功哦。又改回来了。hoary下面我记得就是源的就可以。麻烦啊。
● 鸣学
头像
Xtire
帖子: 188
注册时间: 2005-09-11 14:08
来自: N朝古都
送出感谢: 0
接收感谢: 0

#22

帖子 Xtire » 2005-10-20 14:29

eexpress 写了:上面的方法试过了。区别就是使用了NVIDIA-Linux-x86-1.0-7676-pkg1.run。5200卡,看了说7676支持5200的。不成功哦。又改回来了。hoary下面我记得就是源的就可以。麻烦啊。
eexpress大哥,你的内核是不是升过了?686?K7?
我升到686后就不行了,gdm一启动就出错。重装驱动N次,最后又回到386下。不解ING。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#23

帖子 eexpress » 2005-10-20 14:35

天。我nv驱动没搞好。怎么还生686。以前hoary正常。

家里的hoary是686,说了等3个月再确定升级的。
● 鸣学
ryebread
帖子: 74
注册时间: 2005-10-23 23:06
送出感谢: 0
接收感谢: 0

怎么不用这个?

#24

帖子 ryebread » 2005-12-07 23:32

如何安装显卡的驱动程序 (NVIDIA)?
http://www.ubuntu.org.cn/support/docume ... erm=nvidia
回复

回到 “常用硬件支持”